## libtickit 0.2

=== Makefile ===
ifeq ($(shell uname),Darwin)
  LIBTOOL ?= glibtool
else
  LIBTOOL ?= libtool
endif

ifneq ($(VERBOSE),1)
  LIBTOOL +=--quiet
endif

override CFLAGS +=-Wall -Iinclude -Isrc -std=c99

ifeq ($(DEBUG),1)
  override CFLAGS +=-ggdb -DDEBUG
endif

ifeq ($(PROFILE),1)
  override CFLAGS +=-pg
  override LDFLAGS+=-pg
endif

ifeq ($(shell pkg-config --atleast-version=1.1.0 unibilium && echo 1),1)
  override CFLAGS +=$(shell pkg-config --cflags unibilium) -DHAVE_UNIBILIUM
  override LDFLAGS+=$(shell pkg-config --libs   unibilium)
else ifeq ($(shell pkg-config ncursesw && echo 1),1)
  override CFLAGS +=$(shell pkg-config --cflags ncursesw)
  override LDFLAGS+=$(shell pkg-config --libs   ncursesw)
else
  override LDFLAGS+=-lncurses
endif

override CFLAGS +=$(shell pkg-config --cflags termkey)
override LDFLAGS+=$(shell pkg-config --libs   termkey)

CFILES=$(sort $(wildcard src/*.c))
HFILES=$(sort $(wildcard include/*.h))
OBJECTS=$(CFILES:.c=.lo)
LIBRARY=libtickit.la

HFILES_INT=$(sort $(wildcard src/*.h)) $(HFILES)

TESTSOURCES=$(sort $(wildcard t/[0-9]*.c))
TESTFILES=$(TESTSOURCES:.c=.t)

EXAMPLESOURCES=$(sort $(wildcard examples/*.c))

VERSION_CURRENT=1
VERSION_REVISION=0
VERSION_AGE=0

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
MANDIR=$(PREFIX)/share/man
MAN3DIR=$(MANDIR)/man3
MAN7DIR=$(MANDIR)/man7

all: $(LIBRARY)

$(LIBRARY): $(OBJECTS)
	$(LIBTOOL) --mode=link --tag=CC $(CC) -rpath $(LIBDIR) -version-info $(VERSION_CURRENT):$(VERSION_REVISION):$(VERSION_AGE) -o $@ $^ $(LDFLAGS)

src/%.lo: src/%.c $(HFILES_INT)
	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

src/term.lo: src/xterm-palette.inc
src/xterm-palette.inc: src/xterm-palette.inc.PL
	perl $^ > $@

src/renderbuffer.lo: src/linechars.inc
src/linechars.inc: src/linechars.inc.PL
	perl $^ > $@

t/%.t: t/%.c $(LIBRARY) t/taplib.lo t/mockterm.lo t/taplib-tickit.lo
	$(LIBTOOL) --mode=link --tag=CC gcc -o $@ -Iinclude -std=c99 -ggdb $^

t/%.lo: t/%.c
	$(LIBTOOL) --mode=compile --tag=CC gcc $(CFLAGS) -o $@ -c $^

.PHONY: test
test: $(TESTFILES)
	$(LIBTOOL) --mode=execute prove -e ""

.PHONY: clean-test
clean-test:
	$(LIBTOOL) --mode=clean rm -f $(TESTFILES) t/taplib.lo t/mockterm.lo

.PHONY: clean
clean: clean-test
	$(LIBTOOL) --mode=clean rm -f $(OBJECTS)
	$(LIBTOOL) --mode=clean rm -f $(LIBRARY)

.PHONY: examples
examples: $(EXAMPLESOURCES:.c=)

examples/%.lo: examples/%.c $(HFILES)
	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

examples/%: examples/%.lo $(LIBRARY)
	$(LIBTOOL) --mode=link --tag=CC gcc -o $@ $^

.PHONY: install
install: install-inc install-lib install-man
	$(LIBTOOL) --mode=finish $(DESTDIR)$(LIBDIR)

install-inc: $(HFILES)
	install -d $(DESTDIR)$(INCDIR)
	install -m644 $(HFILES) $(DESTDIR)$(INCDIR)
	install -d $(DESTDIR)$(LIBDIR)/pkgconfig
	LIBDIR=$(LIBDIR) INCDIR=$(INCDIR) sh tickit.pc.sh >$(DESTDIR)$(LIBDIR)/pkgconfig/tickit.pc

# rm the old binary first in case it's still in use
install-lib: $(LIBRARY)
	install -d $(DESTDIR)$(LIBDIR)
	$(LIBTOOL) --mode=install install $(LIBRARY) $(DESTDIR)$(LIBDIR)/

install-man:
	install -d $(DESTDIR)$(MAN3DIR)
	install -d $(DESTDIR)$(MAN7DIR)
	for F in man/*.3; do \
	  gzip <$$F >$(DESTDIR)$(MAN3DIR)/$${F#man/}.gz; \
	done
	for F in man/*.7; do \
	  gzip <$$F >$(DESTDIR)$(MAN7DIR)/$${F#man/}.gz; \
	done
	while read FROM EQ TO; do \
	  ln -sf $$TO.gz $(DESTDIR)$(MAN3DIR)/$$FROM.gz; \
	done < man/also

HTMLDIR=html

htmldocs:
	perl $(HOME)/src/perl/Parse-Man/examples/man-to-html.pl -O $(HTMLDIR) --file-extension html --link-extension html --template home_lou.tt2 --also man/also man/*.3 man/*.7 --index html/index.html

=== debian/changelog ===
libtickit (0.2-5) unstable; urgency=medium

  * Include the man pages in libtickit-dev (Closes: #911112)
  * Add demo compilation checks for basic CI tests
  * control:
    + Add libtermkey-dev and libunibilium-dev to libtickit-dev Depends
    + Mark libtickit-dev Multi-Arch: same
  * rules:
    + Suppress build output when DEB_BUILD_OPTIONS=terse
    + Use dh_missing --list-missing
  * Declare compliance with Policy 4.2.1

 -- James McCoy <jamessan@debian.org>  Tue, 16 Oct 2018 10:48:30 -0400

libtickit (0.2-4) unstable; urgency=medium

  * Backport patch from upstream to pass CFLAGS/LDFLAGS to compiler for tests.
    This fixes a test failure in Ubuntu due to the test binaries being built
    with different fortify options than the library.  (Closes: #900034)

 -- James McCoy <jamessan@debian.org>  Thu, 31 May 2018 21:41:41 -0400

libtickit (0.2-3) unstable; urgency=medium

  * Backport patches from upstream to fix out-of-bounds access by FD_SET.
    (Closes: #895268)
  * rules:
    + Re-enable hardening since #895268 is fixed
    + Disable tests when DEB_BUILD_OPTIONS contains nocheck
  * libtickit-dev: Install examples
  * Declare compliance with Policy 4.1.4, no changes needed

 -- James McCoy <jamessan@debian.org>  Wed, 23 May 2018 22:17:24 -0400

libtickit (0.2-2) unstable; urgency=medium

  * Set TERM when running tests to fix FTBFS

 -- James McCoy <jamessan@debian.org>  Mon, 05 Feb 2018 08:06:30 -0500

libtickit (0.2-1) unstable; urgency=medium

  * Initial upload (Closes: #887312)
  * d/rules: Disable fortify flags until LP#1744933 is fixed

 -- James McCoy <jamessan@debian.org>  Wed, 31 Jan 2018 21:05:48 -0500

=== debian/control ===
Source: libtickit
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends:
 debhelper (>= 11),
 libtermkey-dev,
 libtool-bin,
 libunibilium-dev (>= 1.1.0),
 pkg-config,
Standards-Version: 4.2.1
Section: libs
Homepage: http://www.leonerd.org.uk/code/libtickit/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jamessan/libtickit.git
Vcs-Browser: https://salsa.debian.org/jamessan/libtickit

Package: libtickit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtickit1 (= ${binary:Version}),
 libtermkey-dev,
 libunibilium-dev,
 ${misc:Depends}
Description: Terminal Interface Construction KIT (development files)
 This library provides an abstracted mechanism for building interactive
 full-screen terminal programs. It provides a full set of output drawing
 functions, and handles keyboard and mouse input events.
 .
 Using this library, applications can
 .
  * Divide the terminal into a hierarchy of nested, possibly-overlapping
    rectangular windows
  * Render output content and react to input events independently in any
    window region
  * Use fully Unicode-aware string content, including non-BMP, full-width
    and combining characters
  * Draw line-art using Unicode box-drawing characters in a variety of
    styles
  * Operate synchronously or asynchronously via file descriptors, or
    abstractly via byte buffers
  * Recognise arbitrary keyboard input, including modifiers*
  * Make use of multiple terminals, if available, from a single
    application
 .
 The following terminal features are supported (depending on terminal support):
 .
  * Many rendering attributes; bold, italics, underline, reverse,
  * strike-though, alternate font
  * 256 and 24-bit (16 million) colours
  * Mouse including mouse wheel and recognition of position reporting greater
  * than 224 columns
  * Arbitrary scrolling regions
 .
 This package contains the header files and libraries needed for developing
 with libtickit.

Package: libtickit1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Terminal Interface Construction KIT
 This library provides an abstracted mechanism for building interactive
 full-screen terminal programs. It provides a full set of output drawing
 functions, and handles keyboard and mouse input events.

=== debian/tests/control ===
Tests: build-demos
Depends: @, build-essential, pkg-config, gzip

## libtickit 0.3.4

=== debian/changelog ===
libtickit (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Rename libtickit1 to libtickit2 due to ABI bump
    + Mark all evloop symbols as optional, since there are no API/ABI guarantees
    + Remove symbols for deprecated, and now removed, tickit_string_ functions
    + Add new symbols tickit_term_build and tickit_hook_terminfo
    + Remove symbols for internal functions, and mark their counterparts as optional
    + Add symbols for tickit_version_{major,minor,patch}
    + libtickit-dev: Depend on libtickit2, not libtickit1
  * Stop installing libtickit.la
  * Declare compliance with Policy 4.5.0, no changes needed
  * autopkgtest:
    + Honor $CC when building binaries
    + Fix "undefined reference" errors
    + Add libuv1-dev/libglib2.0-dev to Depends for event loop examples
    + Add superficial restriction, since the tests are only building the
      examples.  Running them would require feeding input through a pty.

 -- James McCoy <jamessan@debian.org>  Sun, 02 Feb 2020 12:59:25 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libtool-bin,
  libunibilium-dev (>= 1.1.0),
  pkg-config,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libtickit/
 Rules-Requires-Root: no
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtickit1 (= ${binary:Version}),
+ libtickit2 (= ${binary:Version}),
  libtermkey-dev,
  libunibilium-dev,
  ${misc:Depends}
@@ -56,7 +56,7 @@
  This package contains the header files and libraries needed for developing
  with libtickit.
 
-Package: libtickit1
+Package: libtickit2
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Architecture: any

=== debian/tests/control ===
Tests: build-demos
Restrictions: superficial
Depends: @, build-essential, pkg-config, gzip, libuv1-dev, libglib2.0-dev

=== debian/watch ===
version=4
opts="pgpmode=none" http://www.leonerd.org.uk/code/libtickit/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libtickit 0.3.5

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 EXAMPLESOURCES=$(sort $(wildcard examples/*.c))
 
-VERSION_CURRENT=1
-VERSION_REVISION=0
+VERSION_CURRENT=2
+VERSION_REVISION=5
 VERSION_AGE=0
 
 PREFIX=/usr/local
@@ -72,11 +72,15 @@
 src/linechars.inc: src/linechars.inc.PL
 	perl $^ > $@
 
-t/%.t: t/%.c $(LIBRARY) t/taplib.lo t/mockterm.lo t/taplib-tickit.lo
-	$(LIBTOOL) --mode=link --tag=CC gcc -o $@ -Iinclude -std=c99 -ggdb $^
+src/utf8.lo: src/fullwidth.inc
+src/fullwidth.inc: src/fullwidth.inc.PL
+	perl $^ > $@
+
+t/%.t: t/%.lo $(LIBRARY) t/taplib.lo t/mockterm.lo t/taplib-tickit.lo
+	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^ $(LDFLAGS)
 
 t/%.lo: t/%.c
-	$(LIBTOOL) --mode=compile --tag=CC gcc $(CFLAGS) -o $@ -c $^
+	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $^
 
 .PHONY: test
 test: $(TESTFILES)
@@ -91,6 +95,20 @@
 	$(LIBTOOL) --mode=clean rm -f $(OBJECTS)
 	$(LIBTOOL) --mode=clean rm -f $(LIBRARY)
 
+ifneq ($(shell pkg-config glib-2.0 && echo 1),1)
+  EXAMPLESOURCES:=$(filter-out examples/evloop-glib.c, $(EXAMPLESOURCES))
+endif
+
+examples/evloop-glib.lo: CFLAGS +=$(shell pkg-config --cflags glib-2.0)
+examples/evloop-glib:    LDFLAGS+=$(shell pkg-config --libs   glib-2.0)
+
+ifneq ($(shell pkg-config libuv && echo 1),1)
+  EXAMPLESOURCES:=$(filter-out examples/evloop-libuv.c, $(EXAMPLESOURCES))
+endif
+
+examples/evloop-libuv.lo: CFLAGS +=$(shell pkg-config --cflags libuv)
+examples/evloop-libuv:    LDFLAGS+=$(shell pkg-config --libs   libuv)
+
 .PHONY: examples
 examples: $(EXAMPLESOURCES:.c=)
 
@@ -98,7 +116,7 @@
 	$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<
 
 examples/%: examples/%.lo $(LIBRARY)
-	$(LIBTOOL) --mode=link --tag=CC gcc -o $@ $^
+	$(LIBTOOL) --mode=link --tag=CC $(CC) -o $@ $^ $(LDFLAGS)
 
 .PHONY: install
 install: install-inc install-lib install-man
@@ -125,7 +143,9 @@
 	  gzip <$$F >$(DESTDIR)$(MAN7DIR)/$${F#man/}.gz; \
 	done
 	while read FROM EQ TO; do \
-	  ln -sf $$TO.gz $(DESTDIR)$(MAN3DIR)/$$FROM.gz; \
+	  if [ -n "$$FROM" ]; then \
+	    ln -sf $$TO.gz $(DESTDIR)$(MAN3DIR)/$$FROM.gz; \
+	  fi; \
 	done < man/also
 
 HTMLDIR=html

=== debian/changelog ===
libtickit (0.3.5-1) unstable; urgency=medium

  * Update to new upstream version 0.3.5.
  * Build-Depend on debhelper-compat (= 12)

 -- James McCoy <jamessan@debian.org>  Tue, 17 Mar 2020 21:08:02 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libtermkey-dev,
  libtool-bin,
  libunibilium-dev (>= 1.1.0),

## libtickit 0.4.1

=== debian/changelog ===
libtickit (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Run upstream tests via autopkgtest

 -- James McCoy <jamessan@debian.org>  Sun, 04 Oct 2020 22:04:11 -0400

libtickit (0.4.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate
    + Rename libtickit2 to libtickit3 for SONAME change

 -- James McCoy <jamessan@debian.org>  Sat, 23 May 2020 09:47:43 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtickit2 (= ${binary:Version}),
+ libtickit3 (= ${binary:Version}),
  libtermkey-dev,
  libunibilium-dev,
  ${misc:Depends}
@@ -47,16 +47,16 @@
  The following terminal features are supported (depending on terminal support):
  .
   * Many rendering attributes; bold, italics, underline, reverse,
-  * strike-though, alternate font
+    strikethough, alternate font
   * 256 and 24-bit (16 million) colours
   * Mouse including mouse wheel and recognition of position reporting greater
-  * than 224 columns
+    than 224 columns
   * Arbitrary scrolling regions
  .
  This package contains the header files and libraries needed for developing
  with libtickit.
 
-Package: libtickit2
+Package: libtickit3
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

VERBOSE=
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	VERBOSE=VERBOSE=1
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libtickit.la

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env TERM=xterm $(MAKE) $(VERBOSE) test
endif

override_dh_missing:
	dh_missing --list-missing

=== debian/tests/control ===
Tests: build-demos
Restrictions: superficial
Depends: @, build-essential, pkg-config, gzip, libuv1-dev, libglib2.0-dev

Tests: upstream-tests
Depends: @, @builddeps@

## libtickit 0.4.2a

=== debian/changelog ===
libtickit (0.4.2a-1) unstable; urgency=medium

  * New upstream release (Closes: #1013740)
  * Add new tickit_watch_{process,signal} symbols
  * Bump copyright years
  * Bump debhelper-compat to 13
  * Declare compliance with Policy 4.6.1, no changes needed
  * Remove version constraint for libunibilium-dev Build-Depends

 -- James McCoy <jamessan@debian.org>  Tue, 19 Jul 2022 06:34:41 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libtermkey-dev,
  libtool-bin,
- libunibilium-dev (>= 1.1.0),
+ libunibilium-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libtickit/
 Rules-Requires-Root: no

## libtickit 0.4.3

=== debian/changelog ===
libtickit (0.4.3-2) unstable; urgency=medium

  [ James McCoy ]
  * Replace pkg-config Build-Depends with pkgconf
  * Add explicit perl Build-Depends to run tests
  * rules: Invoke dh_auto_* in override_dh_auto_* targets
  * Add libtickit.la to debian/not-installed
  * Generate a libtool instead of using libtool-bin
  * Makefile: Allow overriding the pkg-config binary via $PKG_CONFIG
  * Generate libtool for autopkgtests
  * Allow overriding the pkg-config binary for autopkgtests
  * Depend on pkgconf, rather that pkg-config, for autopkgtests

  [ Niko Tyni ]
  * Fix a use-after-free error in tickit_window_destroy() (Closes: #1078154)

 -- James McCoy <jamessan@debian.org>  Tue, 13 Aug 2024 11:44:16 -0400

libtickit (0.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062651

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 20:21:55 +0000

libtickit (0.4.3-1) unstable; urgency=medium

  * Update to new upstream version 0.4.3.
  * Update libtickit3.symbols
    + Mark all mockterm/termdrv symbols as optional, since they're experimental
    + Bump termdrv symbols minimum version to 0.4.3
  * Declare compliance with Policy 4.6.2, no changes needed
  * Change upstream URLs to https

 -- James McCoy <jamessan@debian.org>  Sat, 04 Feb 2023 12:27:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libtickit
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libtermkey-dev,
- libtool-bin,
+ libtool,
  libunibilium-dev,
- pkg-config,
-Standards-Version: 4.6.1
+ perl:native <!nocheck>,
+ pkgconf,
+Standards-Version: 4.6.2
 Section: libs
-Homepage: http://www.leonerd.org.uk/code/libtickit/
+Homepage: https://www.leonerd.org.uk/code/libtickit/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jamessan/libtickit.git
 Vcs-Browser: https://salsa.debian.org/jamessan/libtickit
@@ -19,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libtickit3 (= ${binary:Version}),
+ libtickit3t64 (= ${binary:Version}),
  libtermkey-dev,
  libunibilium-dev,
  ${misc:Depends}
@@ -56,7 +57,10 @@
  This package contains the header files and libraries needed for developing
  with libtickit.
 
-Package: libtickit3
+Package: libtickit3t64
+Provides: ${t64:Provides}
+Replaces: libtickit3
+Breaks: libtickit3 (<< ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

VERBOSE=
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	VERBOSE=VERBOSE=1
endif

LIBTOOL=$(CURDIR)/debian/libtool/libtool
export LIBTOOL

%:
	dh $@

override_dh_auto_clean: override_dh_auto_configure
	dh_auto_clean
	rm -rf debian/libtool

override_dh_auto_configure:
	mkdir -p debian/libtool
	cp debian/configure.ac debian/libtool/
	env -C debian/libtool LIBTOOLIZE='libtoolize -i' autoreconf -f -i
	dh_auto_configure --sourcedirectory=debian/libtool --buildsystem=autoconf

override_dh_auto_build-arch:
	dh_auto_build -- $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	dh_auto_install -- $(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	env TERM=xterm dh_auto_test -- $(VERBOSE)

=== debian/tests/control ===
Tests: build-demos
Restrictions: superficial
Depends: @, build-essential, pkgconf, gzip, libuv1-dev, libglib2.0-dev

Tests: upstream-tests
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts="pgpmode=none" https://www.leonerd.org.uk/code/libtickit/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libtickit 0.4.6

=== debian/changelog ===
libtickit (0.4.6-0leo1) unstable; urgency=medium

  * New upstream release.

 -- Paul Evans <leonerd@leonerd.org.uk>  Thu, 12 Feb 2026 11:14:09 +0000

libtickit (0.4.4-0leo1) unstable; urgency=medium

  * New upstream release.

 -- Paul Evans <leonerd@leonerd.org.uk>  Mon, 04 Sep 2023 13:52:38 +0100

libtickit (0.4.3-0leo1) unstable; urgency=medium

  * New upstream release.

 -- Paul Evans <leonerd@leonerd.org.uk>  Thu, 25 Aug 2022 22:06:37 +0100
